# DataExchange
TKSTEP209
StepElement

# StepElement_VolumeElementPurpose Class Reference

Representation of STEP SELECT type VolumeElementPurpose
.

`#include <StepElement_VolumeElementPurpose.hxx>`

Inheritance diagram for StepElement_VolumeElementPurpose:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_VolumeElementPurpose ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of VolumeElementPurpose select type return 0 .
virtual Standard_EXPORT Standard_Integer | CaseMem (const Handle(StepData_SelectMember)&ent) const
| Recognizes a items of select member VolumeElementPurposeMember 1 -> EnumeratedVolumeElementPurpose 2 -> ApplicationDefinedElementPurpose 0 else .
virtual Standard_EXPORT Handle_StepData_SelectMember | NewMember () const
| Returns a new select member the type VolumeElementPurposeMember .
Standard_EXPORT void | SetEnumeratedVolumeElementPurpose (const StepElement_EnumeratedVolumeElementPurpose aVal)
| Set Value for EnumeratedVolumeElementPurpose .
Standard_EXPORT StepElement_EnumeratedVolumeElementPurpose | EnumeratedVolumeElementPurpose () const
| Returns Value as EnumeratedVolumeElementPurpose (or Null if another type) .
Standard_EXPORT void | SetApplicationDefinedElementPurpose (const Handle(TCollection_HAsciiString)&aVal)
| Set Value for ApplicationDefinedElementPurpose .
Standard_EXPORT Handle_TCollection_HAsciiString | ApplicationDefinedElementPurpose () const
| Returns Value as ApplicationDefinedElementPurpose (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_VolumeElementPurpose::StepElement_VolumeElementPurpose | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_VolumeElementPurpose::ApplicationDefinedElementPurpose | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer StepElement_VolumeElementPurpose::CaseMem | ( | const Handle(StepData_SelectMember)& | ent | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Integer StepElement_VolumeElementPurpose::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT StepElement_EnumeratedVolumeElementPurpose StepElement_VolumeElementPurpose::EnumeratedVolumeElementPurpose | ( |  | ) | const

virtual Standard_EXPORT Handle_StepData_SelectMember StepElement_VolumeElementPurpose::NewMember | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

void StepElement_VolumeElementPurpose::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepElement_VolumeElementPurpose::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepElement_VolumeElementPurpose::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT void StepElement_VolumeElementPurpose::SetApplicationDefinedElementPurpose | ( | const Handle(TCollection_HAsciiString)& | aVal | ) |

Standard_EXPORT void StepElement_VolumeElementPurpose::SetEnumeratedVolumeElementPurpose | ( | const StepElement_EnumeratedVolumeElementPurpose | aVal | ) |

The documentation for this class was generated from the following file:

- StepElement_VolumeElementPurpose.hxx